Page MenuHomePhabricator

Recent changes page: ORES scored entries are not highlighted when 'Enhanced recent changes' option is used
Closed, ResolvedPublic

Description

In betalabs

  1. Have ORES beta feature option enabled
  2. Have Preferences-Recent changes-Advanced options-Enhanced recent changes option enabled
  3. Go to Recent changes - the recent changes will be grouped by day and collapsed.
    • in a collapsed state, the ORES highlighting is not displayed
    • when un-collapsed, individual ORES scored records will be highlighted
    • if a day has only one ORES scored record, it won' be highlighted.

Two days have one ORES scored record - no highlighting

The same for Watchlist


Compare to the case when 'Enhanced recent changes' is not enabled

Collapsed section do not show highlight

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2016, 4:00 PM
Restricted Application added a project: Machine Learning Platform. · View Herald TranscriptMar 6 2017, 9:57 PM
jmatazzoni added a subscriber: jmatazzoni.

@Etonkovidova, I am seeing shading on days with only one edit. Please check that again.

With that, I'm pretty sure the behavior you observe is correct. (The reason the bundling list item doesn't show shading is that the results in that group item could be of various shades. I suppose we could look for listings where the shade would all be the same...)

It's true that the above means that Enhanced Recent Changes, when in effect, makes highlighting much less valuable. I'm not sure how to get around this. At a minimum, I'll add it to the Help document about highlighting.

But I wonder if @Pginer-WMF has any suggestions (for after launch)? For example, my first thought is, why don't we include controls at the top of the Results area in Enhanced mode that let you "Show all edits / Hide multiple edits to a single page " (In fact, I'd make the expanded mode default.) That way, users could see all the highlighting, but the results would still be grouped by page. This probably isn't that hard... (@Mattflaschen-WMF?) Other ideas?

But I wonder if @Pginer-WMF has any suggestions (for after launch)? For example, my first thought is, why don't we include controls at the top of the Results area in Enhanced mode that let you "Show all edits / Hide multiple edits to a single page " (In fact, I'd make the expanded mode default.) That way, users could see all the highlighting, but the results would still be grouped by page. This probably isn't that hard... (@Mattflaschen-WMF?) Other ideas?

I don't know much about Enhanced Recent Changes, but I can imagine that part of the purpose is to keep their results compact and organised. So I'd not try to expand all results by default.

For individual items we can apply the highlight as we do for Recent changes. The complexity seems to be in the grouping elements (those rows with a triangle at the beginning).

For grouping elements we can surface that there are some highlights inside them for the users to expand if interested. When a grouping element contains a highlighted element, the element could be highlighted with:

  • A color if all child items are highlighten in such color. We can consider surfacing blended colors if there are highlights of different colors but that may add also some complexity (since rows can be blended also).
  • In grey if the group contains both highlighted and non-highlighted elements. This will communicate that there are some highlighting elements inside.

An example below:

Thoughts?

A related ticket was created: T146291
Not sure if they should be merged, but at least referencing each other would help finding similar tickets in Phabricator.

To summarize

  • as @Pginer-WMF pointed out the entries in the bundle can have different ORES scoring, hence to highlight the bundle will make very little sense.

The decision to NOT highlight group was the simplest one to implement for consistency in the short-term but it's not ideal. Because groups are collapsed by default, they may hide interesting (highlighted) lines.

QA recommendation: Resolve.

jmatazzoni closed this task as Resolved.Mar 9 2017, 12:46 AM
jmatazzoni claimed this task.

To summarize

  • as @Pginer-WMF pointed out the entries in the bundle can have different ORES scoring, hence to highlight the bundle will make very little sense.

I think there was a misunderstanding here. Highlighting the bundles can be useful and I proposed a strategy in T146291#3080091 to go around the limitation of bundles containing multiple items. I was not convinced of expanding everything automatically, though.

jmatazzoni added a comment.EditedMar 9 2017, 4:35 PM

But I wonder if @Pginer-WMF has any suggestions (for after launch)? For example, my first thought is, why don't we include controls at the top of the Results area in Enhanced mode that let you "Show all edits / Hide multiple edits to a single page " (In fact, I'd make the expanded mode default.) That way, users could see all the highlighting, but the results would still be grouped by page. This probably isn't that hard... (@Mattflaschen-WMF?) Other ideas?

I don't know much about Enhanced Recent Changes, but I can imagine that part of the purpose is to keep their results compact and organised. So I'd not try to expand all results by default.

For individual items we can apply the highlight as we do for Recent changes. The complexity seems to be in the grouping elements (those rows with a triangle at the beginning).

For grouping elements we can surface that there are some highlights inside them for the users to expand if interested. When a grouping element contains a highlighted element, the element could be highlighted with:

  • A color if all child items are highlighten in such color. We can consider surfacing blended colors if there are highlights of different colors but that may add also some complexity (since rows can be blended also).
  • In grey if the group contains both highlighted and non-highlighted elements. This will communicate that there are some highlighting elements inside.

An example below:

Thoughts?

@Pginer-WMF, I've created a ticket for discussing fixes to Enhanced Recent Changes here T159896. Please copy this idea there.